package com.ruoyi.system.domain.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 班级小组管理对象 t_group
 *
 * @author 付凡芮
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "TGroupQueryReq", description = "班级小组管理")
public class TGroupQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 小组名称 */
    @ApiModelProperty(name = "小组名称", value = "小组名称")
    private String groupName;

    /** 小组状态 */
    @ApiModelProperty(name = "小组状态", value = "小组状态")
    private String groupState;

    /** 小组负责人 */
    @ApiModelProperty(name = "小组负责人", value = "小组负责人")
    private String groupLeader;

    /** 所属班级 */
    @ApiModelProperty(name = "所属班级", value = "所属班级")
    private Long clazzId;

}
